#ifndef	_WF_H
#define	_WF_H

#include "waterfall.h"

#define	WINDOW_RECT	0
#define	WINDOW_TRIA	1
#define	WINDOW_HAMM	2

extern gint init_wf(gint fftlen, gfloat freq);
extern void clear_wf(void);

extern gint wf_ftox(gfloat f);
extern gint wf_ftow(gfloat f);
extern gfloat wf_xtof(gint x);

extern void wf_setdata(gfloat *samples, gint len);
extern void wf_setstate(gboolean on);
extern void wf_togglepause(void);
extern void wf_setwindow(gint);

extern void wf_run(void);

#endif
